Skip to main content
DELETE
cURL

Authorizations

Authorization
string
header
required

ReyGrid API key sent as a Bearer token.

Path Parameters

agentId
string
required

The ID of the agent.

conversationRef
string
required

A conversation ID or persistent user ID.

messageId
string
required

The ID of the message to delete.

Query Parameters

cascade
boolean
default:false

When true, also deletes the message immediately following the selected message.

Response

Message deleted successfully

success
boolean
required
deletedMessages
object
required